{
    "format_version": "1.8.0",
    "render_controllers": {
      "controller.render.treasure_chest": {
        "arrays": {
          "textures": {
            "Array.skins": [
              "Texture.small",
              "Texture.medium",
              "Texture.large"
            ]
          },
          "geometries": {
            "Array.models": [
              "Geometry.small",
              "Geometry.medium",
              "Geometry.large"
            ]
          }
        },
        "geometry": "Array.models[query.variant]",
        "materials": [ { "*": "Material.default" } ],
        "textures": [
          "Array.skins[query.variant]"
        ]
      }
    }
  }